PHP K�sikirja
Edellinen |  | Seuraava

# sqlite_valid

(PHP 5)

sqlite_valid

(no version information, might be only in CVS)

SQLiteResult->valid

(no version information, might be only in CVS)

SQLiteUnbuffered->valid -- Returns whether more rows are available

## Description

bool sqlite_valid ( resource result )

Object oriented style (method):

class SQLiteResult {
bool valid ( void )
}class SQLiteUnbuffered {
bool valid ( void )
}

Finds whether more rows are available from the given result handle.

## Parameters

result

  The SQLite result resource. This parameter is not required when using the object-oriented method.

  > Huomaa: This function cannot be used with unbuffered result handles.

## Return values

Returns `TRUE` if there are more rows available from the result handle, or `FALSE` otherwise.

## See Also

sqlite_num_rows()
sqlite_changes()

Edellinen | Alkuun | Seuraava
sqlite_unbuffered_query | Ylös | Secure Shell2 Functions